Bug 89297 - new port: devel/codeblocks, an open source, cross-platform and free C/C++ IDE
Summary: new port: devel/codeblocks, an open source, cross-platform and free C/C++ IDE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Edwin Groothuis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-19 21:40 UTC by m.sund
Modified: 2005-12-27 19:57 UTC (History)
0 users

See Also:


Attachments
codeblocks.ubz (26.75 KB, text/plain)
2005-11-27 21:58 UTC, m.sund
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.sund 2005-11-19 21:40:24 UTC
Code::Blocks is an open source, cross-platform and free C/C++ IDE.
It is build using the wxWidgets GUI library.

The WEB site states:

        "Code::Blocks is a free C++ IDE built specifically to meet
        the most demanding needs of its users. It was designed, right
        from the start, to be extensible and configurable."

WWW: http://www.codeblocks.org/

Fix: 

echo c - .
mkdir -p . > /dev/null 2>&1
echo x - ./pkg-descr
sed 's/^X//' >./pkg-descr << 'END-of-./pkg-descr'
XCode::Blocks is an open source, cross-platform and free C/C++ IDE.
XIt is build using the wxWidgets GUI library.
X
XThe WEB site states:
X
X	"Code::Blocks is a free C++ IDE built specifically to meet
X	the most demanding needs of its users. It was designed, right
X	from the start, to be extensible and configurable."
X
XWWW: http://www.codeblocks.org/
END-of-./pkg-descr
echo x - ./distinfo
sed 's/^X//' >./distinfo << 'END-of-./distinfo'
XMD5 (codeblocks-1.0rc2.tgz) = 425c700feb77d22b1b85b1061d2504d9
XSHA256 (codeblocks-1.0rc2.tgz) = 677f9f950febee1c548842c3f43eb937694d298bf41af521020aaf94ac64a95c
XSIZE (codeblocks-1.0rc2.tgz) = 2742954
END-of-./distinfo
echo x - ./Makefile
sed 's/^X//' >./Makefile << 'END-of-./Makefile'
X# New ports collection makefile for:	codeblocks
X# Date created:				November, 15th 2005
X# Whom:					Matthias Sund <m.sund@arcor.de>
X#
X# $FreeBSD$
X#
X
XPORTNAME=		codeblocks
XPORTVERSION=		1.0r2
XCATEGORIES=		devel
XMASTER_SITES=		${MASTER_SITE_SOURCEFORGE_EXTENDED}
XMASTER_SITE_SUBDIR=	${PORTNAME}
XDISTNAME=		${PORTNAME}-1.0rc2
XEXTRACT_SUFX=		.tgz
X
XMAINTAINER=	m.sund@arcor.de
XCOMMENT=	Open source, cross-platform, free C/C++ IDE
X
XBUILD_DEPENDS=	zip:${PORTSDIR}/archivers/zip:install\
X		wxgtk2-2.6-config:${PORTSDIR}/x11-toolkits/wxgtk26:install
X
XRUN_DEPENDS=	libwx_gtk2_xrc-2.6.so:${PORTSDIR}/x11-toolkits/wxgtk26
X
XWRKSRC=		${WRKDIR}/${DISTNAME}/src
X
XUSE_GMAKE=	yes
XINSTALLS_SHLIB=	yes
X
Xpre-build:
X	@${CP} files/Makefile ${WRKSRC}
X
Xpost-build:
X	@(${FIND} ${WRKSRC} -name "*.orig" -exec ${RM} {} \;)
X	@(${CAT} ${WRKSRC}/update | ${TR} -d "\r" > ${WRKSRC}/update.sh)
X	@${CHMOD} +x ${WRKSRC}/update.sh
X	@(cd ${WRKSRC} && ./update.sh)
X	@${MV} ${WRKSRC}/output/share/CodeBlocks ${WRKSRC}/output/share/codeblocks
X	@${MV} ${WRKSRC}/output/console_runner.exe ${WRKSRC}/output/console_runner
X	@${MV} ${WRKSRC}/output/codeblocks.exe ${WRKSRC}/output/codeblocks
X
Xdo-install:
X	@${INSTALL_PROGRAM} ${WRKSRC}/output/console_runner ${PREFIX}/bin
X	@${INSTALL_PROGRAM} ${WRKSRC}/output/${PORTNAME} ${PREFIX}/bin
X	@${INSTALL_PROGRAM} ${WRKSRC}/output/*.so ${PREFIX}/lib
X	@(cd ${WRKSRC}/output && ${FIND} share -type d -exec ${MKDIR} ${PREFIX}/{} \;)
X	@(cd ${WRKSRC}/output && ${FIND} share -name "*.so" -type f -exec ${INSTALL_PROGRAM} {} ${PREFIX}/{} \;)
X	@(cd ${WRKSRC}/output && ${FIND} share  \! -name "*.so" -type f -exec ${INSTALL_DATA} {} ${PREFIX}/{} \;)
X
Xpost-install:
X	@${ECHO} bin/${PORTNAME} >> ${TMPPLIST}
X	@${ECHO} bin/console_runner >> ${TMPPLIST}
X	@${ECHO} lib/libcodeblocks.so >> ${TMPPLIST}
X	@${ECHO} lib/libwxscintilla.so >> ${TMPPLIST}
X	@(cd ${WRKSRC}/output && ${FIND} share -type f -exec ${ECHO} {} >> ${TMPPLIST} \;)
X	@${ECHO} @dirrm share/${PORTNAME}/images/codecompletion >> ${TMPPLIST}
X	@${ECHO} @dirrm share/${PORTNAME}/images >> ${TMPPLIST}
X	@${ECHO} @dirrm share/${PORTNAME}/lexers >> ${TMPPLIST}
X	@${ECHO} @dirrm share/${PORTNAME}/plugins >> ${TMPPLIST}
X	@${ECHO} @dirrm share/${PORTNAME}/templates >> ${TMPPLIST}
X	@${ECHO} @dirrm share/${PORTNAME} >> ${TMPPLIST}
X
X.include <bsd.port.mk>
END-of-./Makefile
echo c - ./files
mkdir -p ./files > /dev/null 2>&1
echo x - ./files/patch-src-globals.h
sed 's/^X//' >./files/patch-src-globals.h << 'END-of-./files/patch-src-globals.h'
X--- src/globals.h.orig	Mon Nov 14 19:33:24 2005
X+++ src/globals.h	Mon Nov 14 19:33:33 2005
X@@ -16,7 +16,7 @@
X #elif defined(__WXMAC__)

X   #define APP_PLATFORM _T("Mac OS/X")

X #elif defined(__UNIX__)

X-  #define APP_PLATFORM _T("Linux")

X+  #define APP_PLATFORM _T("FreeBSD")

X #else

X   #define APP_PLATFORM _T("Unknown")

X #endif

END-of-./files/patch-src-globals.h
echo x - ./files/patch-src-prefix.cpp
sed 's/^X//' >./files/patch-src-prefix.cpp << 'END-of-./files/patch-src-prefix.cpp'
X--- src/prefix.cpp.orig	Mon Nov 14 19:31:14 2005
X+++ src/prefix.cpp	Mon Nov 14 19:31:24 2005
X@@ -32,7 +32,7 @@
X 

X #ifndef BR_PTHREADS

X 	/* Change 1 to 0 if you don't want pthread support */

X-	#define BR_PTHREADS 1

X+	#define BR_PTHREADS 0

X #endif /* BR_PTHREADS */

X 

X #include <stdlib.h>

X@@ -53,8 +53,8 @@
X 	#define br_return_val_if_fail(expr,val) if (!(expr)) {fprintf (stderr, "** BinReloc (%s): assertion %s failed\n", __PRETTY_FUNCTION__, #expr); return val;}

X #else

X 	#define br_return_val_if_fail(expr,val) if (!(expr)) return val

X-#endif /* __GNUC__ */

X-

X+#endif /* __GNUC__ */
X+
X 

X #ifdef ENABLE_BINRELOC

X #include <sys/types.h>

X@@ -101,11 +101,11 @@
X 	FILE *f;

X 	char *path;

X 

X-	br_return_val_if_fail (symbol != NULL, NULL);

X+	br_return_val_if_fail (symbol != NULL, (char*)NULL);

X 

X 	f = fopen ("/proc/self/maps", "r");

X 	if (!f)

X-		return NULL;

X+		return (char*)NULL;

X 

X 	while (!feof (f))

X 	{

X@@ -143,7 +143,7 @@
X 	}

X 

X 	fclose (f);

X-	return NULL;

X+	return (char*)NULL;

X }

X 

X 

X@@ -165,10 +165,10 @@
X {

X 	char *path, *prefix;

X 

X-	br_return_val_if_fail (symbol != NULL, NULL);

X+	br_return_val_if_fail (symbol != NULL, (char*)NULL);

X 

X 	path = br_locate (symbol);

X-	if (!path) return NULL;

X+	if (!path) return (char*)NULL;

X 

X 	prefix = br_extract_prefix (path);

X 	free (path);

X@@ -195,11 +195,11 @@
X {

X 	char *tmp, *newpath;

X 

X-	br_return_val_if_fail (symbol != NULL, NULL);

X-	br_return_val_if_fail (path != NULL, NULL);

X+	br_return_val_if_fail (symbol != NULL, (char*)NULL);

X+	br_return_val_if_fail (path != NULL, (char*)NULL);

X 

X 	tmp = br_locate_prefix (symbol);

X-	if (!tmp) return NULL;

X+	if (!tmp) return (char*)NULL;

X 

X 	if (strcmp (tmp, "/") == 0)

X 		newpath = strdup (path);

X@@ -207,7 +207,7 @@
X 		newpath = br_strcat (tmp, path);

X 

X 	/* Get rid of compiler warning ("br_prepend_prefix never used") */

X-	if (0) br_prepend_prefix (NULL, NULL);

X+	if (0) br_prepend_prefix (NULL, (char*)NULL);

X 

X 	free (tmp);

X 	return newpath;

END-of-./files/patch-src-prefix.cpp
echo x - ./files/patch-update
sed 's/^X//' >./files/patch-update << 'END-of-./files/patch-update'
X--- update.orig	Tue Nov 15 22:41:08 2005
X+++ update	Tue Nov 15 22:41:21 2005
X@@ -57,10 +57,6 @@
X cp -f devel/*.exe output > /dev/null

X cp -f devel/*.so output > /dev/null

X cp -f ${RESDIR}/plugins/*.so output/share/CodeBlocks/plugins > /dev/null

X-echo Stripping debug info from output tree

X-strip output/*.exe

X-strip output/*.so

X-strip output/share/CodeBlocks/plugins/*.so

X 

X echo Creating launch-scripts

X echo -e "#!/bin/sh\n" > output/run.sh

END-of-./files/patch-update
echo x - ./files/patch-src-app.cpp
sed 's/^X//' >./files/patch-src-app.cpp << 'END-of-./files/patch-src-app.cpp'
X--- src/app.cpp.orig	Tue Oct 25 09:59:02 2005
X+++ src/app.cpp	Tue Nov 15 19:15:31 2005
X@@ -97,7 +97,7 @@
X 

X     // find out about data path
#ifdef __WXMSW__

X     wxString data = GetAppPath(); // under windows it is under the exe dir
#else

X-    wxString data = wxT(APP_PREFIX); // under linux, get the preprocessor value
#endif

X+    wxString data = wxT("/usr/local"); // under linux, get the preprocessor value
#endif

X     wxString actualData = _T("/share/codeblocks");

X     data << actualData;

X     // check if the user has passed --prefix in the command line
    if (!m_Prefix.IsEmpty())
        data = m_Prefix + actualData;
    else
    {
        // if no --prefix passed, check for the environment variable
        wxString env;
        wxGetEnv(_T("CODEBLOCKS_DATA_DIR"), &env);
        if (!env.IsEmpty())
            data = env + actualData;
    }


END-of-./files/patch-src-app.cpp
echo x - ./files/patch-templates-unix-wxwidgets.cbp
sed 's/^X//' >./files/patch-templates-unix-wxwidgets.cbp << 'END-of-./files/patch-templates-unix-wxwidgets.cbp'
X--- templates/unix/wxwidgets.cbp.orig	Sat Nov 19 19:07:17 2005
X+++ templates/unix/wxwidgets.cbp	Sat Nov 19 19:07:42 2005
X@@ -14,10 +14,10 @@
X 			<Add option="-Winvalid-pch"/>

X 			<Add option="-include &quot;wx_pch.h&quot;"/>

X 			<Add option="-DUSE_PCH"/>

X-			<Add option="`wx-config --cflags`"/>

X+			<Add option="`wxgtk2-2.6-config --cflags`"/>

X 		</Compiler>

X 		<Linker>

X-			<Add option="`wx-config --libs`"/>

X+			<Add option="`wxgtk2-2.6-config --libs`"/>

X 		</Linker>

X 	</Project>

X </CodeBlocks_project_file>

END-of-./files/patch-templates-unix-wxwidgets.cbp
echo x - ./files/patch-templates-unix-wxwidgets.template
sed 's/^X//' >./files/patch-templates-unix-wxwidgets.template << 'END-of-./files/patch-templates-unix-wxwidgets.template'
X--- templates/unix/wxwidgets.template.orig	Sat Nov 19 21:06:29 2005
X+++ templates/unix/wxwidgets.template	Sat Nov 19 21:08:02 2005
X@@ -4,16 +4,19 @@
X 	<Template name="wxWidgets" title="wxWidgets Application" category="GUI" bitmap="wxwidgets.png">

X 		<FileSet name="s" title="No header file">

X 			<File source="wx-main-s.cpp" destination="main.cpp"/>

X+			<File source="wx_pch.h" destination="wx_pch.h"/>

X 		</FileSet>

X 		<FileSet name="sh" title="With header file">

X 			<File source="wx-main-sh.cpp" destination="main.cpp"/>

X 			<File source="wx-main-sh.h" destination="main.h"/>

X+			<File source="wx_pch.h" destination="wx_pch.h"/>

X 		</FileSet>

X 		<FileSet name="ash" title="Use separate wxApp, wxFrame files">

X 			<File source="wx-app-ash.cpp" destination="app.cpp"/>

X 			<File source="wx-app-ash.h" destination="app.h"/>

X 			<File source="wx-main-ash.cpp" destination="main.cpp"/>

X 			<File source="wx-main-ash.h" destination="main.h"/>

X+			<File source="wx_pch.h" destination="wx_pch.h"/>

X 		</FileSet>

X 		<Option name="wxWidgets Application">

X 			<Project file="wxwidgets.cbp"/>

END-of-./files/patch-templates-unix-wxwidgets.template
echo x - ./files/Makefile
sed 's/^X//' >./files/Makefile << 'END-of-./files/Makefile'
X###############################################################################
X# Makefile automatically generated by Code::Blocks IDE                        #
X###############################################################################
X
X# Project:          Code::Blocks (Linux)
X# Project filename: /home/masu/codeblocks-1.0rc2-new/src/CodeBlocks-unix.cbp
X# Compiler used:    GNU GCC Compiler
X
X### Variables used in this Makefile
XLIB_WXXRC=wx_gtk2_xrc-2.6
XtinyXML_CC=gcc
XtinyXML_CPP=g++
XtinyXML_LD=g++
XtinyXML_LIB=ar
XtinyXML_RESCOMP=
Xscintilla_CC=gcc
Xscintilla_CPP=g++
Xscintilla_LD=g++
Xscintilla_LIB=ar
Xscintilla_RESCOMP=
Xsdk_CC=gcc
Xsdk_CPP=g++
Xsdk_LD=g++
Xsdk_LIB=ar
Xsdk_RESCOMP=
XwxDockit_CC=gcc
XwxDockit_CPP=g++
XwxDockit_LD=g++
XwxDockit_LIB=ar
XwxDockit_RESCOMP=
Xsrc_CC=gcc
Xsrc_CPP=g++
Xsrc_LD=g++
Xsrc_LIB=ar
Xsrc_RESCOMP=
Xplugin_Astyle_CC=gcc
Xplugin_Astyle_CPP=g++
Xplugin_Astyle_LD=g++
Xplugin_Astyle_LIB=ar
Xplugin_Astyle_RESCOMP=
Xplugin_CompilerGCC_CC=gcc
Xplugin_CompilerGCC_CPP=g++
Xplugin_CompilerGCC_LD=g++
Xplugin_CompilerGCC_LIB=ar
Xplugin_CompilerGCC_RESCOMP=
Xplugin_DebuggerGDB_CC=gcc
Xplugin_DebuggerGDB_CPP=g++
Xplugin_DebuggerGDB_LD=g++
Xplugin_DebuggerGDB_LIB=ar
Xplugin_DebuggerGDB_RESCOMP=
Xplugin_CodeCompletion_CC=gcc
Xplugin_CodeCompletion_CPP=g++
Xplugin_CodeCompletion_LD=g++
Xplugin_CodeCompletion_LIB=ar
Xplugin_CodeCompletion_RESCOMP=
Xplugin_ClassWizard_CC=gcc
Xplugin_ClassWizard_CPP=g++
Xplugin_ClassWizard_LD=g++
Xplugin_ClassWizard_LIB=ar
Xplugin_ClassWizard_RESCOMP=
Xplugin_DefMimeHandler_CC=gcc
Xplugin_DefMimeHandler_CPP=g++
Xplugin_DefMimeHandler_LD=g++
Xplugin_DefMimeHandler_LIB=ar
Xplugin_DefMimeHandler_RESCOMP=
Xplugin_PluginsWizard_CC=gcc
Xplugin_PluginsWizard_CPP=g++
Xplugin_PluginsWizard_LD=g++
Xplugin_PluginsWizard_LIB=ar
Xplugin_PluginsWizard_RESCOMP=
Xplugin_ToDo_CC=gcc
Xplugin_ToDo_CPP=g++
Xplugin_ToDo_LD=g++
Xplugin_ToDo_LIB=ar
Xplugin_ToDo_RESCOMP=
Xplugin_XPManifest_CC=gcc
Xplugin_XPManifest_CPP=g++
Xplugin_XPManifest_LD=g++
Xplugin_XPManifest_LIB=ar
Xplugin_XPManifest_RESCOMP=
Xconsole_runner_CC=gcc
Xconsole_runner_CPP=g++
Xconsole_runner_LD=g++
Xconsole_runner_LIB=ar
Xconsole_runner_RESCOMP=
X
X### Compiler/linker options
XtinyXML_GLOBAL_CFLAGS=
XtinyXML_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
XtinyXML_GLOBAL_LDFLAGS=
XtinyXML_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
XtinyXML_GLOBAL_INCS= -I/usr/include
XtinyXML_PROJECT_INCS= -Isdk/wxscintilla/include
XtinyXML_GLOBAL_LIBDIRS= -L/usr/lib
XtinyXML_PROJECT_LIBDIRS= -Lsdk/tinyxml
XtinyXML_GLOBAL_LIBS=
XtinyXML_PROJECT_LIBS=
Xscintilla_GLOBAL_CFLAGS=
Xscintilla_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xscintilla_GLOBAL_LDFLAGS=
Xscintilla_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xscintilla_GLOBAL_INCS= -I/usr/include
Xscintilla_PROJECT_INCS= -Isdk/wxscintilla/include
Xscintilla_GLOBAL_LIBDIRS= -L/usr/lib
Xscintilla_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xscintilla_GLOBAL_LIBS=
Xscintilla_PROJECT_LIBS=
Xsdk_GLOBAL_CFLAGS=
Xsdk_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xsdk_GLOBAL_LDFLAGS=
Xsdk_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xsdk_GLOBAL_INCS= -I/usr/include
Xsdk_PROJECT_INCS= -Isdk/wxscintilla/include
Xsdk_GLOBAL_LIBDIRS= -L/usr/lib
Xsdk_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xsdk_GLOBAL_LIBS=
Xsdk_PROJECT_LIBS=
XwxDockit_GLOBAL_CFLAGS=
XwxDockit_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
XwxDockit_GLOBAL_LDFLAGS=
XwxDockit_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
XwxDockit_GLOBAL_INCS= -I/usr/include
XwxDockit_PROJECT_INCS= -Isdk/wxscintilla/include
XwxDockit_GLOBAL_LIBDIRS= -L/usr/lib
XwxDockit_PROJECT_LIBDIRS= -Lsdk/tinyxml
XwxDockit_GLOBAL_LIBS=
XwxDockit_PROJECT_LIBS=
Xsrc_GLOBAL_CFLAGS=
Xsrc_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xsrc_GLOBAL_LDFLAGS=
Xsrc_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xsrc_GLOBAL_INCS= -I/usr/include
Xsrc_PROJECT_INCS= -Isdk/wxscintilla/include
Xsrc_GLOBAL_LIBDIRS= -L/usr/lib
Xsrc_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xsrc_GLOBAL_LIBS=
Xsrc_PROJECT_LIBS=
Xplugin_Astyle_GLOBAL_CFLAGS=
Xplugin_Astyle_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xplugin_Astyle_GLOBAL_LDFLAGS=
Xplugin_Astyle_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xplugin_Astyle_GLOBAL_INCS= -I/usr/include
Xplugin_Astyle_PROJECT_INCS= -Isdk/wxscintilla/include
Xplugin_Astyle_GLOBAL_LIBDIRS= -L/usr/lib
Xplugin_Astyle_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xplugin_Astyle_GLOBAL_LIBS=
Xplugin_Astyle_PROJECT_LIBS=
Xplugin_CompilerGCC_GLOBAL_CFLAGS=
Xplugin_CompilerGCC_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xplugin_CompilerGCC_GLOBAL_LDFLAGS=
Xplugin_CompilerGCC_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xplugin_CompilerGCC_GLOBAL_INCS= -I/usr/include
Xplugin_CompilerGCC_PROJECT_INCS= -Isdk/wxscintilla/include
Xplugin_CompilerGCC_GLOBAL_LIBDIRS= -L/usr/lib
Xplugin_CompilerGCC_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xplugin_CompilerGCC_GLOBAL_LIBS=
Xplugin_CompilerGCC_PROJECT_LIBS=
Xplugin_DebuggerGDB_GLOBAL_CFLAGS=
Xplugin_DebuggerGDB_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xplugin_DebuggerGDB_GLOBAL_LDFLAGS=
Xplugin_DebuggerGDB_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xplugin_DebuggerGDB_GLOBAL_INCS= -I/usr/include
Xplugin_DebuggerGDB_PROJECT_INCS= -Isdk/wxscintilla/include
Xplugin_DebuggerGDB_GLOBAL_LIBDIRS= -L/usr/lib
Xplugin_DebuggerGDB_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xplugin_DebuggerGDB_GLOBAL_LIBS=
Xplugin_DebuggerGDB_PROJECT_LIBS=
Xplugin_CodeCompletion_GLOBAL_CFLAGS=
Xplugin_CodeCompletion_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xplugin_CodeCompletion_GLOBAL_LDFLAGS=
Xplugin_CodeCompletion_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xplugin_CodeCompletion_GLOBAL_INCS= -I/usr/include
Xplugin_CodeCompletion_PROJECT_INCS= -Isdk/wxscintilla/include
Xplugin_CodeCompletion_GLOBAL_LIBDIRS= -L/usr/lib
Xplugin_CodeCompletion_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xplugin_CodeCompletion_GLOBAL_LIBS=
Xplugin_CodeCompletion_PROJECT_LIBS=
Xplugin_ClassWizard_GLOBAL_CFLAGS=
Xplugin_ClassWizard_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xplugin_ClassWizard_GLOBAL_LDFLAGS=
Xplugin_ClassWizard_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xplugin_ClassWizard_GLOBAL_INCS= -I/usr/include
Xplugin_ClassWizard_PROJECT_INCS= -Isdk/wxscintilla/include
Xplugin_ClassWizard_GLOBAL_LIBDIRS= -L/usr/lib
Xplugin_ClassWizard_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xplugin_ClassWizard_GLOBAL_LIBS=
Xplugin_ClassWizard_PROJECT_LIBS=
Xplugin_DefMimeHandler_GLOBAL_CFLAGS=
Xplugin_DefMimeHandler_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xplugin_DefMimeHandler_GLOBAL_LDFLAGS=
Xplugin_DefMimeHandler_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xplugin_DefMimeHandler_GLOBAL_INCS= -I/usr/include
Xplugin_DefMimeHandler_PROJECT_INCS= -Isdk/wxscintilla/include
Xplugin_DefMimeHandler_GLOBAL_LIBDIRS= -L/usr/lib
Xplugin_DefMimeHandler_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xplugin_DefMimeHandler_GLOBAL_LIBS=
Xplugin_DefMimeHandler_PROJECT_LIBS=
Xplugin_PluginsWizard_GLOBAL_CFLAGS=
Xplugin_PluginsWizard_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xplugin_PluginsWizard_GLOBAL_LDFLAGS=
Xplugin_PluginsWizard_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xplugin_PluginsWizard_GLOBAL_INCS= -I/usr/include
Xplugin_PluginsWizard_PROJECT_INCS= -Isdk/wxscintilla/include
Xplugin_PluginsWizard_GLOBAL_LIBDIRS= -L/usr/lib
Xplugin_PluginsWizard_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xplugin_PluginsWizard_GLOBAL_LIBS=
Xplugin_PluginsWizard_PROJECT_LIBS=
Xplugin_ToDo_GLOBAL_CFLAGS=
Xplugin_ToDo_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xplugin_ToDo_GLOBAL_LDFLAGS=
Xplugin_ToDo_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xplugin_ToDo_GLOBAL_INCS= -I/usr/include
Xplugin_ToDo_PROJECT_INCS= -Isdk/wxscintilla/include
Xplugin_ToDo_GLOBAL_LIBDIRS= -L/usr/lib
Xplugin_ToDo_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xplugin_ToDo_GLOBAL_LIBS=
Xplugin_ToDo_PROJECT_LIBS=
Xplugin_XPManifest_GLOBAL_CFLAGS=
Xplugin_XPManifest_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xplugin_XPManifest_GLOBAL_LDFLAGS=
Xplugin_XPManifest_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xplugin_XPManifest_GLOBAL_INCS= -I/usr/include
Xplugin_XPManifest_PROJECT_INCS= -Isdk/wxscintilla/include
Xplugin_XPManifest_GLOBAL_LIBDIRS= -L/usr/lib
Xplugin_XPManifest_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xplugin_XPManifest_GLOBAL_LIBS=
Xplugin_XPManifest_PROJECT_LIBS=
Xupdate_GLOBAL_CFLAGS=
Xupdate_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xupdate_GLOBAL_LDFLAGS=
Xupdate_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xupdate_GLOBAL_INCS= -I/usr/include
Xupdate_PROJECT_INCS= -Isdk/wxscintilla/include
Xupdate_GLOBAL_LIBDIRS= -L/usr/lib
Xupdate_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xupdate_GLOBAL_LIBS=
Xupdate_PROJECT_LIBS=
Xconsole_runner_GLOBAL_CFLAGS=
Xconsole_runner_PROJECT_CFLAGS= -Wall -g `wxgtk2-2.6-config --cflags`
Xconsole_runner_GLOBAL_LDFLAGS=
Xconsole_runner_PROJECT_LDFLAGS= `wxgtk2-2.6-config --libs`
Xconsole_runner_GLOBAL_INCS= -I/usr/include
Xconsole_runner_PROJECT_INCS= -Isdk/wxscintilla/include
Xconsole_runner_GLOBAL_LIBDIRS= -L/usr/lib
Xconsole_runner_PROJECT_LIBDIRS= -Lsdk/tinyxml
Xconsole_runner_GLOBAL_LIBS=
Xconsole_runner_PROJECT_LIBS=
X
X### Targets compiler flags
XtinyXML_CFLAGS= $(tinyXML_PROJECT_CFLAGS) $(tinyXML_GLOBAL_CFLAGS)
Xscintilla_CFLAGS= $(scintilla_PROJECT_CFLAGS) -DGTK -DSCI_LEXER -DLINK_LEXERS -DWXMAKINGDLL_SCI $(scintilla_GLOBAL_CFLAGS)
Xsdk_CFLAGS= $(sdk_PROJECT_CFLAGS) -fPIC -DEXPORT_LIB -DEXPORT_EVENTS -D_USRDLL $(sdk_GLOBAL_CFLAGS)
XwxDockit_CFLAGS= $(wxDockit_PROJECT_CFLAGS) -DwxUSE_WX24 $(wxDockit_GLOBAL_CFLAGS)
Xsrc_CFLAGS= $(src_PROJECT_CFLAGS) -DENABLE_BINRELOC $(src_GLOBAL_CFLAGS)
Xplugin_Astyle_CFLAGS= $(plugin_Astyle_PROJECT_CFLAGS) -fPIC -DBUILDING_PLUGIN -D_WINDLL -DNDEBUG $(plugin_Astyle_GLOBAL_CFLAGS)
Xplugin_CompilerGCC_CFLAGS= $(plugin_CompilerGCC_PROJECT_CFLAGS) -fPIC -DBUILDING_PLUGIN -D_WINDLL -DDEPSLIB_UNIX $(plugin_CompilerGCC_GLOBAL_CFLAGS)
Xplugin_DebuggerGDB_CFLAGS= $(plugin_DebuggerGDB_PROJECT_CFLAGS) -fPIC -DBUILDING_PLUGIN -D_WINDLL $(plugin_DebuggerGDB_GLOBAL_CFLAGS)
Xplugin_CodeCompletion_CFLAGS= $(plugin_CodeCompletion_PROJECT_CFLAGS) -fPIC -DBUILDING_PLUGIN -D_WINDLL $(plugin_CodeCompletion_GLOBAL_CFLAGS)
Xplugin_ClassWizard_CFLAGS= $(plugin_ClassWizard_PROJECT_CFLAGS) -fPIC -DBUILDING_PLUGIN -D_WINDLL $(plugin_ClassWizard_GLOBAL_CFLAGS)
Xplugin_DefMimeHandler_CFLAGS= $(plugin_DefMimeHandler_PROJECT_CFLAGS) -fPIC -DBUILDING_PLUGIN -D_WINDLL $(plugin_DefMimeHandler_GLOBAL_CFLAGS)
Xplugin_PluginsWizard_CFLAGS= $(plugin_PluginsWizard_PROJECT_CFLAGS) -fPIC -DBUILDING_PLUGIN -D_WINDLL $(plugin_PluginsWizard_GLOBAL_CFLAGS)
Xplugin_ToDo_CFLAGS= $(plugin_ToDo_PROJECT_CFLAGS) -fPIC -DBUILDING_PLUGIN -D_WINDLL $(plugin_ToDo_GLOBAL_CFLAGS)
Xplugin_XPManifest_CFLAGS= $(plugin_XPManifest_PROJECT_CFLAGS) -fPIC -DBUILDING_PLUGIN -D_WINDLL $(plugin_XPManifest_GLOBAL_CFLAGS)
Xconsole_runner_CFLAGS= -Os $(console_runner_GLOBAL_CFLAGS)
X
X### Targets linker flags
XtinyXML_LDFLAGS= $(tinyXML_PROJECT_LDFLAGS) $(tinyXML_GLOBAL_LDFLAGS)
Xscintilla_LDFLAGS= $(scintilla_PROJECT_LDFLAGS) $(scintilla_GLOBAL_LDFLAGS)
Xsdk_LDFLAGS= $(sdk_PROJECT_LDFLAGS) $(sdk_GLOBAL_LDFLAGS)
XwxDockit_LDFLAGS= $(wxDockit_PROJECT_LDFLAGS) $(wxDockit_GLOBAL_LDFLAGS)
Xsrc_LDFLAGS= $(src_PROJECT_LDFLAGS) $(src_GLOBAL_LDFLAGS)
Xplugin_Astyle_LDFLAGS= $(plugin_Astyle_PROJECT_LDFLAGS) $(plugin_Astyle_GLOBAL_LDFLAGS)
Xplugin_CompilerGCC_LDFLAGS= $(plugin_CompilerGCC_PROJECT_LDFLAGS) $(plugin_CompilerGCC_GLOBAL_LDFLAGS)
Xplugin_DebuggerGDB_LDFLAGS= $(plugin_DebuggerGDB_PROJECT_LDFLAGS) $(plugin_DebuggerGDB_GLOBAL_LDFLAGS)
Xplugin_CodeCompletion_LDFLAGS= $(plugin_CodeCompletion_PROJECT_LDFLAGS) $(plugin_CodeCompletion_GLOBAL_LDFLAGS)
Xplugin_ClassWizard_LDFLAGS= $(plugin_ClassWizard_PROJECT_LDFLAGS) $(plugin_ClassWizard_GLOBAL_LDFLAGS)
Xplugin_DefMimeHandler_LDFLAGS= $(plugin_DefMimeHandler_PROJECT_LDFLAGS) $(plugin_DefMimeHandler_GLOBAL_LDFLAGS)
Xplugin_PluginsWizard_LDFLAGS= $(plugin_PluginsWizard_PROJECT_LDFLAGS) $(plugin_PluginsWizard_GLOBAL_LDFLAGS)
Xplugin_ToDo_LDFLAGS= $(plugin_ToDo_PROJECT_LDFLAGS) $(plugin_ToDo_GLOBAL_LDFLAGS)
Xplugin_XPManifest_LDFLAGS= $(plugin_XPManifest_PROJECT_LDFLAGS) $(plugin_XPManifest_GLOBAL_LDFLAGS)
Xconsole_runner_LDFLAGS= $(console_runner_GLOBAL_LDFLAGS)
X
X### Targets include directories
XtinyXML_INCS= $(tinyXML_PROJECT_INCS) $(tinyXML_GLOBAL_INCS)
Xscintilla_INCS= $(scintilla_PROJECT_INCS) -Isdk/wxscintilla/include -Isdk/wxscintilla/src/scintilla/include -Isdk/wxscintilla/src/scintilla/src $(scintilla_GLOBAL_INCS)
Xsdk_INCS= $(sdk_PROJECT_INCS) -Isdk/tinyxml -Isdk $(sdk_GLOBAL_INCS)
XwxDockit_INCS= $(wxDockit_PROJECT_INCS) -Isrc/wxDockit/include $(wxDockit_GLOBAL_INCS)
Xsrc_INCS= -Isdk -Isrc/wxDockit/include $(src_PROJECT_INCS) $(src_GLOBAL_INCS)
Xplugin_Astyle_INCS= $(plugin_Astyle_PROJECT_INCS) -Isdk -Iplugins/astyle/astyle $(plugin_Astyle_GLOBAL_INCS)
Xplugin_CompilerGCC_INCS= -Isdk -Iplugins/compilergcc/depslib/src $(plugin_CompilerGCC_PROJECT_INCS) $(plugin_CompilerGCC_GLOBAL_INCS)
Xplugin_DebuggerGDB_INCS= -Isdk $(plugin_DebuggerGDB_PROJECT_INCS) $(plugin_DebuggerGDB_GLOBAL_INCS)
Xplugin_CodeCompletion_INCS= -Isdk $(plugin_CodeCompletion_PROJECT_INCS) $(plugin_CodeCompletion_GLOBAL_INCS)
Xplugin_ClassWizard_INCS= -Isdk $(plugin_ClassWizard_PROJECT_INCS) $(plugin_ClassWizard_GLOBAL_INCS)
Xplugin_DefMimeHandler_INCS= -Isdk $(plugin_DefMimeHandler_PROJECT_INCS) $(plugin_DefMimeHandler_GLOBAL_INCS)
Xplugin_PluginsWizard_INCS= -Isdk $(plugin_PluginsWizard_PROJECT_INCS) $(plugin_PluginsWizard_GLOBAL_INCS)
Xplugin_ToDo_INCS= $(plugin_ToDo_PROJECT_INCS) -Isdk $(plugin_ToDo_GLOBAL_INCS)
Xplugin_XPManifest_INCS= -Isdk $(plugin_XPManifest_PROJECT_INCS) $(plugin_XPManifest_GLOBAL_INCS)
Xconsole_runner_INCS= $(console_runner_PROJECT_INCS) $(console_runner_GLOBAL_INCS)
X
X### Targets library directories
XtinyXML_LIBDIRS= $(tinyXML_PROJECT_LIBDIRS) $(tinyXML_GLOBAL_LIBDIRS)
Xscintilla_LIBDIRS= $(scintilla_PROJECT_LIBDIRS) $(scintilla_GLOBAL_LIBDIRS)
Xsdk_LIBDIRS= $(sdk_PROJECT_LIBDIRS) $(sdk_GLOBAL_LIBDIRS)
XwxDockit_LIBDIRS= $(wxDockit_PROJECT_LIBDIRS) $(wxDockit_GLOBAL_LIBDIRS)
Xsrc_LIBDIRS= -Ldevel -Lsrc/wxDockit/lib $(src_PROJECT_LIBDIRS) $(src_GLOBAL_LIBDIRS)
Xplugin_Astyle_LIBDIRS= $(plugin_Astyle_PROJECT_LIBDIRS) -Ldevel $(plugin_Astyle_GLOBAL_LIBDIRS)
Xplugin_CompilerGCC_LIBDIRS= -Ldevel $(plugin_CompilerGCC_PROJECT_LIBDIRS) $(plugin_CompilerGCC_GLOBAL_LIBDIRS)
Xplugin_DebuggerGDB_LIBDIRS= -Ldevel $(plugin_DebuggerGDB_PROJECT_LIBDIRS) $(plugin_DebuggerGDB_GLOBAL_LIBDIRS)
Xplugin_CodeCompletion_LIBDIRS= -Ldevel $(plugin_CodeCompletion_PROJECT_LIBDIRS) $(plugin_CodeCompletion_GLOBAL_LIBDIRS)
Xplugin_ClassWizard_LIBDIRS= -Ldevel $(plugin_ClassWizard_PROJECT_LIBDIRS) $(plugin_ClassWizard_GLOBAL_LIBDIRS)
Xplugin_DefMimeHandler_LIBDIRS= -Ldevel $(plugin_DefMimeHandler_PROJECT_LIBDIRS) $(plugin_DefMimeHandler_GLOBAL_LIBDIRS)
Xplugin_PluginsWizard_LIBDIRS= -Ldevel $(plugin_PluginsWizard_PROJECT_LIBDIRS) $(plugin_PluginsWizard_GLOBAL_LIBDIRS)
Xplugin_ToDo_LIBDIRS= $(plugin_ToDo_PROJECT_LIBDIRS) -Ldevel $(plugin_ToDo_GLOBAL_LIBDIRS)
Xplugin_XPManifest_LIBDIRS= -Ldevel $(plugin_XPManifest_PROJECT_LIBDIRS) $(plugin_XPManifest_GLOBAL_LIBDIRS)
Xconsole_runner_LIBDIRS= $(console_runner_PROJECT_LIBDIRS) $(console_runner_GLOBAL_LIBDIRS)
X
X### Targets libraries
XtinyXML_LIBS= $(tinyXML_PROJECT_LIBS) $(tinyXML_GLOBAL_LIBS)
Xscintilla_LIBS= $(scintilla_PROJECT_LIBS) $(scintilla_GLOBAL_LIBS)
Xsdk_LIBS= -ltxml $(sdk_PROJECT_LIBS) $(sdk_GLOBAL_LIBS)
XwxDockit_LIBS= $(wxDockit_PROJECT_LIBS) $(wxDockit_GLOBAL_LIBS)
Xsrc_LIBS= -lcodeblocks -l$(LIB_WXXRC) -lwxscintilla -lwxDockit $(src_PROJECT_LIBS) $(src_GLOBAL_LIBS)
Xplugin_Astyle_LIBS= -lcodeblocks -l$(LIB_WXXRC) -lwxscintilla $(plugin_Astyle_PROJECT_LIBS) $(plugin_Astyle_GLOBAL_LIBS)
Xplugin_CompilerGCC_LIBS= -lcodeblocks -l$(LIB_WXXRC) -lwxscintilla $(plugin_CompilerGCC_PROJECT_LIBS) $(plugin_CompilerGCC_GLOBAL_LIBS)
Xplugin_DebuggerGDB_LIBS= -lcodeblocks -l$(LIB_WXXRC) -lwxscintilla $(plugin_DebuggerGDB_PROJECT_LIBS) $(plugin_DebuggerGDB_GLOBAL_LIBS)
Xplugin_CodeCompletion_LIBS= -lcodeblocks -l$(LIB_WXXRC) -lwxscintilla $(plugin_CodeCompletion_PROJECT_LIBS) $(plugin_CodeCompletion_GLOBAL_LIBS)
Xplugin_ClassWizard_LIBS= -lcodeblocks -l$(LIB_WXXRC) -lwxscintilla $(plugin_ClassWizard_PROJECT_LIBS) $(plugin_ClassWizard_GLOBAL_LIBS)
Xplugin_DefMimeHandler_LIBS= -lcodeblocks -l$(LIB_WXXRC) $(plugin_DefMimeHandler_PROJECT_LIBS) $(plugin_DefMimeHandler_GLOBAL_LIBS)
Xplugin_PluginsWizard_LIBS= -lcodeblocks -l$(LIB_WXXRC) -lwxscintilla $(plugin_PluginsWizard_PROJECT_LIBS) $(plugin_PluginsWizard_GLOBAL_LIBS)
Xplugin_ToDo_LIBS= -lcodeblocks $(plugin_ToDo_PROJECT_LIBS) $(plugin_ToDo_GLOBAL_LIBS)
Xplugin_XPManifest_LIBS= $(plugin_XPManifest_PROJECT_LIBS) -lcodeblocks $(plugin_XPManifest_GLOBAL_LIBS)
Xconsole_runner_LIBS= $(console_runner_GLOBAL_LIBS)
X
X###############################################################################
X#         You shouldn't need to modify anything beyond this point             #
X###############################################################################
X
X### Objects used in this Makefile
XtinyXML_OBJS=.objs/sdk/tinyxml/tinystr.o .objs/sdk/tinyxml/tinyxml.o .objs/sdk/tinyxml/tinyxmlerror.o .objs/sdk/tinyxml/tinyxmlparser.o 
XtinyXML_LINKOBJS=$(tinyXML_OBJS)
XtinyXML_DEPS=.deps/sdk/tinyxml/tinystr.d .deps/sdk/tinyxml/tinyxml.d .deps/sdk/tinyxml/tinyxmlerror.d .deps/sdk/tinyxml/tinyxmlparser.d 
Xscintilla_OBJS=.objs/sdk/wxscintilla/src/PlatWX.o .objs/sdk/wxscintilla/src/ScintillaWX.o .objs/sdk/wxscintilla/src/scintilla/src/AutoComplete.o .objs/sdk/wxscintilla/src/scintilla/src/CallTip.o .objs/sdk/wxscintilla/src/scintilla/src/CellBuffer.o .objs/sdk/wxscintilla/src/scintilla/src/ContractionState.o .objs/sdk/wxscintilla/src/scintilla/src/Document.o .objs/sdk/wxscintilla/src/scintilla/src/DocumentAccessor.o .objs/sdk/wxscintilla/src/scintilla/src/Editor.o .objs/sdk/wxscintilla/src/scintilla/src/ExternalLexer.o .objs/sdk/wxscintilla/src/scintilla/src/Indicator.o .objs/sdk/wxscintilla/src/scintilla/src/KeyMap.o .objs/sdk/wxscintilla/src/scintilla/src/KeyWords.o .objs/sdk/wxscintilla/src/scintilla/src/LexAPDL.o .objs/sdk/wxscintilla/src/scintilla/src/LexAU3.o .objs/sdk/wxscintilla/src/scintilla/src/LexAVE.o .objs/sdk/wxscintilla/src/scintilla/src/LexAda.o .objs/sdk/wxscintilla/src/scintilla/src/LexAsm.o .objs/sdk/wxscintilla/src/scintilla/src/LexAsn1.o .objs/sdk/wxscintil
 la/src/scintilla/src/LexBaan.o .objs/sdk/wxscintilla/src/scintilla/src/LexBash.o .objs/sdk/wxscintilla/src/scintilla/src/LexBasic.o .objs/sdk/wxscintilla/src/scintilla/src/LexBullant.o .objs/sdk/wxscintilla/src/scintilla/src/LexCLW.o .objs/sdk/wxscintilla/src/scintilla/src/LexCPP.o .objs/sdk/wxscintilla/src/scintilla/src/LexCSS.o .objs/sdk/wxscintilla/src/scintilla/src/LexCaml.o .objs/sdk/wxscintilla/src/scintilla/src/LexConf.o .objs/sdk/wxscintilla/src/scintilla/src/LexCrontab.o .objs/sdk/wxscintilla/src/scintilla/src/LexCsound.o .objs/sdk/wxscintilla/src/scintilla/src/LexEScript.o .objs/sdk/wxscintilla/src/scintilla/src/LexEiffel.o .objs/sdk/wxscintilla/src/scintilla/src/LexErlang.o .objs/sdk/wxscintilla/src/scintilla/src/LexFlagship.o .objs/sdk/wxscintilla/src/scintilla/src/LexForth.o .objs/sdk/wxscintilla/src/scintilla/src/LexFortran.o .objs/sdk/wxscintilla/src/scintilla/src/LexGui4Cli.o .objs/sdk/wxscintilla/src/scintilla/src/LexHTML.o .objs/sdk/wxscintilla/src/scintill
 a/src/LexHaskell.o .objs/sdk/wxscintilla/src/scintilla/src/L!
 exKix.o 
.objs/sdk/wxscintilla/src/scintilla/src/LexLisp.o .objs/sdk/wxscintilla/src/scintilla/src/LexLout.o .objs/sdk/wxscintilla/src/scintilla/src/LexLua.o .objs/sdk/wxscintilla/src/scintilla/src/LexMMIXAL.o .objs/sdk/wxscintilla/src/scintilla/src/LexMPT.o .objs/sdk/wxscintilla/src/scintilla/src/LexMSSQL.o .objs/sdk/wxscintilla/src/scintilla/src/LexMatlab.o .objs/sdk/wxscintilla/src/scintilla/src/LexMetapost.o .objs/sdk/wxscintilla/src/scintilla/src/LexNsis.o .objs/sdk/wxscintilla/src/scintilla/src/LexOthers.o .objs/sdk/wxscintilla/src/scintilla/src/LexPB.o .objs/sdk/wxscintilla/src/scintilla/src/LexPOV.o .objs/sdk/wxscintilla/src/scintilla/src/LexPS.o .objs/sdk/wxscintilla/src/scintilla/src/LexPascal.o .objs/sdk/wxscintilla/src/scintilla/src/LexPerl.o .objs/sdk/wxscintilla/src/scintilla/src/LexPython.o .objs/sdk/wxscintilla/src/scintilla/src/LexRebol.o .objs/sdk/wxscintilla/src/scintilla/src/LexRuby.o .objs/sdk/wxscintilla/src/scintilla/src/LexSQL.o .objs/sdk/wxscintilla/src/scinti
 lla/src/LexScriptol.o .objs/sdk/wxscintilla/src/scintilla/src/LexSmalltalk.o .objs/sdk/wxscintilla/src/scintilla/src/LexSpecman.o .objs/sdk/wxscintilla/src/scintilla/src/LexTADS3.o .objs/sdk/wxscintilla/src/scintilla/src/LexTeX.o .objs/sdk/wxscintilla/src/scintilla/src/LexVB.o .objs/sdk/wxscintilla/src/scintilla/src/LexVHDL.o .objs/sdk/wxscintilla/src/scintilla/src/LexVerilog.o .objs/sdk/wxscintilla/src/scintilla/src/LexYAML.o .objs/sdk/wxscintilla/src/scintilla/src/LineMarker.o .objs/sdk/wxscintilla/src/scintilla/src/PropSet.o .objs/sdk/wxscintilla/src/scintilla/src/RESearch.o .objs/sdk/wxscintilla/src/scintilla/src/ScintillaBase.o .objs/sdk/wxscintilla/src/scintilla/src/Style.o .objs/sdk/wxscintilla/src/scintilla/src/StyleContext.o .objs/sdk/wxscintilla/src/scintilla/src/UniConversion.o .objs/sdk/wxscintilla/src/scintilla/src/ViewStyle.o .objs/sdk/wxscintilla/src/scintilla/src/WindowAccessor.o .objs/sdk/wxscintilla/src/scintilla/src/XPM.o .objs/sdk/wxscintilla/src/wxscinti
 lla.o 
Xscintilla_LINKOBJS=$(scintilla_OBJS)
Xscintilla_DEPS=.deps/sdk/wxscintilla/src/PlatWX.d .deps/sdk/wxscintilla/src/ScintillaWX.d .deps/sdk/wxscintilla/src/scintilla/src/AutoComplete.d .deps/sdk/wxscintilla/src/scintilla/src/CallTip.d .deps/sdk/wxscintilla/src/scintilla/src/CellBuffer.d .deps/sdk/wxscintilla/src/scintilla/src/ContractionState.d .deps/sdk/wxscintilla/src/scintilla/src/Document.d .deps/sdk/wxscintilla/src/scintilla/src/DocumentAccessor.d .deps/sdk/wxscintilla/src/scintilla/src/Editor.d .deps/sdk/wxscintilla/src/scintilla/src/ExternalLexer.d .deps/sdk/wxscintilla/src/scintilla/src/Indicator.d .deps/sdk/wxscintilla/src/scintilla/src/KeyMap.d .deps/sdk/wxscintilla/src/scintilla/src/KeyWords.d .deps/sdk/wxscintilla/src/scintilla/src/LexAPDL.d .deps/sdk/wxscintilla/src/scintilla/src/LexAU3.d .deps/sdk/wxscintilla/src/scintilla/src/LexAVE.d .deps/sdk/wxscintilla/src/scintilla/src/LexAda.d .deps/sdk/wxscintilla/src/scintilla/src/LexAsm.d .deps/sdk/wxscintilla/src/scintilla/src/LexAsn1.d .deps/sdk/wxscintil
 la/src/scintilla/src/LexBaan.d .deps/sdk/wxscintilla/src/scintilla/src/LexBash.d .deps/sdk/wxscintilla/src/scintilla/src/LexBasic.d .deps/sdk/wxscintilla/src/scintilla/src/LexBullant.d .deps/sdk/wxscintilla/src/scintilla/src/LexCLW.d .deps/sdk/wxscintilla/src/scintilla/src/LexCPP.d .deps/sdk/wxscintilla/src/scintilla/src/LexCSS.d .deps/sdk/wxscintilla/src/scintilla/src/LexCaml.d .deps/sdk/wxscintilla/src/scintilla/src/LexConf.d .deps/sdk/wxscintilla/src/scintilla/src/LexCrontab.d .deps/sdk/wxscintilla/src/scintilla/src/LexCsound.d .deps/sdk/wxscintilla/src/scintilla/src/LexEScript.d .deps/sdk/wxscintilla/src/scintilla/src/LexEiffel.d .deps/sdk/wxscintilla/src/scintilla/src/LexErlang.d .deps/sdk/wxscintilla/src/scintilla/src/LexFlagship.d .deps/sdk/wxscintilla/src/scintilla/src/LexForth.d .deps/sdk/wxscintilla/src/scintilla/src/LexFortran.d .deps/sdk/wxscintilla/src/scintilla/src/LexGui4Cli.d .deps/sdk/wxscintilla/src/scintilla/src/LexHTML.d .deps/sdk/wxscintilla/src/scintill
 a/src/LexHaskell.d .deps/sdk/wxscintilla/src/scintilla/src/L!
 exKix.d 
.deps/sdk/wxscintilla/src/scintilla/src/LexLisp.d .deps/sdk/wxscintilla/src/scintilla/src/LexLout.d .deps/sdk/wxscintilla/src/scintilla/src/LexLua.d .deps/sdk/wxscintilla/src/scintilla/src/LexMMIXAL.d .deps/sdk/wxscintilla/src/scintilla/src/LexMPT.d .deps/sdk/wxscintilla/src/scintilla/src/LexMSSQL.d .deps/sdk/wxscintilla/src/scintilla/src/LexMatlab.d .deps/sdk/wxscintilla/src/scintilla/src/LexMetapost.d .deps/sdk/wxscintilla/src/scintilla/src/LexNsis.d .deps/sdk/wxscintilla/src/scintilla/src/LexOthers.d .deps/sdk/wxscintilla/src/scintilla/src/LexPB.d .deps/sdk/wxscintilla/src/scintilla/src/LexPOV.d .deps/sdk/wxscintilla/src/scintilla/src/LexPS.d .deps/sdk/wxscintilla/src/scintilla/src/LexPascal.d .deps/sdk/wxscintilla/src/scintilla/src/LexPerl.d .deps/sdk/wxscintilla/src/scintilla/src/LexPython.d .deps/sdk/wxscintilla/src/scintilla/src/LexRebol.d .deps/sdk/wxscintilla/src/scintilla/src/LexRuby.d .deps/sdk/wxscintilla/src/scintilla/src/LexSQL.d .deps/sdk/wxscintilla/src/scinti
 lla/src/LexScriptol.d .deps/sdk/wxscintilla/src/scintilla/src/LexSmalltalk.d .deps/sdk/wxscintilla/src/scintilla/src/LexSpecman.d .deps/sdk/wxscintilla/src/scintilla/src/LexTADS3.d .deps/sdk/wxscintilla/src/scintilla/src/LexTeX.d .deps/sdk/wxscintilla/src/scintilla/src/LexVB.d .deps/sdk/wxscintilla/src/scintilla/src/LexVHDL.d .deps/sdk/wxscintilla/src/scintilla/src/LexVerilog.d .deps/sdk/wxscintilla/src/scintilla/src/LexYAML.d .deps/sdk/wxscintilla/src/scintilla/src/LineMarker.d .deps/sdk/wxscintilla/src/scintilla/src/PropSet.d .deps/sdk/wxscintilla/src/scintilla/src/RESearch.d .deps/sdk/wxscintilla/src/scintilla/src/ScintillaBase.d .deps/sdk/wxscintilla/src/scintilla/src/Style.d .deps/sdk/wxscintilla/src/scintilla/src/StyleContext.d .deps/sdk/wxscintilla/src/scintilla/src/UniConversion.d .deps/sdk/wxscintilla/src/scintilla/src/ViewStyle.d .deps/sdk/wxscintilla/src/scintilla/src/WindowAccessor.d .deps/sdk/wxscintilla/src/scintilla/src/XPM.d .deps/sdk/wxscintilla/src/wxscinti
 lla.d 
Xsdk_OBJS=.objs/sdk/Managers/Managers.o .objs/sdk/Managers/StdAfx.o .objs/sdk/autodetectcompilers.o .objs/sdk/cbeditor.o .objs/sdk/cbeditorprintout.o .objs/sdk/cbplugin.o .objs/sdk/cbproject.o .objs/sdk/cbthreadpool.o .objs/sdk/cbworkspace.o .objs/sdk/compileoptionsbase.o .objs/sdk/compiler.o .objs/sdk/compilerfactory.o .objs/sdk/compileroptions.o .objs/sdk/compiletargetbase.o .objs/sdk/configmanager.o .objs/sdk/configuretoolsdlg.o .objs/sdk/confirmreplacedlg.o .objs/sdk/customvars.o .objs/sdk/devcpploader.o .objs/sdk/editarrayfiledlg.o .objs/sdk/editarrayorderdlg.o .objs/sdk/editarraystringdlg.o .objs/sdk/editorbase.o .objs/sdk/editorcolorset.o .objs/sdk/editorconfigurationdlg.o .objs/sdk/editorlexerloader.o .objs/sdk/editormanager.o .objs/sdk/editpathdlg.o .objs/sdk/edittooldlg.o .objs/sdk/externaldepsdlg.o .objs/sdk/filegroupsandmasks.o .objs/sdk/finddlg.o .objs/sdk/globals.o .objs/sdk/importers_globals.o .objs/sdk/incrementalselectlistdlg.o .objs/sdk/macrosmanager.o .objs
 /sdk/managedthread.o .objs/sdk/manager.o .objs/sdk/menuitemsmanager.o .objs/sdk/messagelog.o .objs/sdk/messagemanager.o .objs/sdk/msvc7loader.o .objs/sdk/msvc7workspaceloader.o .objs/sdk/msvcloader.o .objs/sdk/msvcworkspacebase.o .objs/sdk/msvcworkspaceloader.o .objs/sdk/multiselectdlg.o .objs/sdk/newfromtemplatedlg.o .objs/sdk/personalitymanager.o .objs/sdk/pipedprocess.o .objs/sdk/pluginmanager.o .objs/sdk/pluginsconfigurationdlg.o .objs/sdk/printing_types.o .objs/sdk/projectbuildtarget.o .objs/sdk/projectfileoptionsdlg.o .objs/sdk/projectlayoutloader.o .objs/sdk/projectloader.o .objs/sdk/projectmanager.o .objs/sdk/projectoptionsdlg.o .objs/sdk/projectsfilemasksdlg.o .objs/sdk/projecttemplateloader.o .objs/sdk/replacedlg.o .objs/sdk/sdk_events.o .objs/sdk/searchresultslog.o .objs/sdk/selecttargetdlg.o .objs/sdk/simplelistlog.o .objs/sdk/simpletextlog.o .objs/sdk/templatemanager.o .objs/sdk/toolsmanager.o .objs/sdk/workspaceloader.o .objs/sdk/xtra_classes.o .objs/sdk/xtra_r
 es.o 
Xsdk_LINKOBJS=$(sdk_OBJS)
Xsdk_DEPS=.deps/sdk/Managers/Managers.d .deps/sdk/Managers/StdAfx.d .deps/sdk/autodetectcompilers.d .deps/sdk/cbeditor.d .deps/sdk/cbeditorprintout.d .deps/sdk/cbplugin.d .deps/sdk/cbproject.d .deps/sdk/cbthreadpool.d .deps/sdk/cbworkspace.d .deps/sdk/compileoptionsbase.d .deps/sdk/compiler.d .deps/sdk/compilerfactory.d .deps/sdk/compileroptions.d .deps/sdk/compiletargetbase.d .deps/sdk/configmanager.d .deps/sdk/configuretoolsdlg.d .deps/sdk/confirmreplacedlg.d .deps/sdk/customvars.d .deps/sdk/devcpploader.d .deps/sdk/editarrayfiledlg.d .deps/sdk/editarrayorderdlg.d .deps/sdk/editarraystringdlg.d .deps/sdk/editorbase.d .deps/sdk/editorcolorset.d .deps/sdk/editorconfigurationdlg.d .deps/sdk/editorlexerloader.d .deps/sdk/editormanager.d .deps/sdk/editpathdlg.d .deps/sdk/edittooldlg.d .deps/sdk/externaldepsdlg.d .deps/sdk/filegroupsandmasks.d .deps/sdk/finddlg.d .deps/sdk/globals.d .deps/sdk/importers_globals.d .deps/sdk/incrementalselectlistdlg.d .deps/sdk/macrosmanager.d .deps
 /sdk/managedthread.d .deps/sdk/manager.d .deps/sdk/menuitemsmanager.d .deps/sdk/messagelog.d .deps/sdk/messagemanager.d .deps/sdk/msvc7loader.d .deps/sdk/msvc7workspaceloader.d .deps/sdk/msvcloader.d .deps/sdk/msvcworkspacebase.d .deps/sdk/msvcworkspaceloader.d .deps/sdk/multiselectdlg.d .deps/sdk/newfromtemplatedlg.d .deps/sdk/personalitymanager.d .deps/sdk/pipedprocess.d .deps/sdk/pluginmanager.d .deps/sdk/pluginsconfigurationdlg.d .deps/sdk/printing_types.d .deps/sdk/projectbuildtarget.d .deps/sdk/projectfileoptionsdlg.d .deps/sdk/projectlayoutloader.d .deps/sdk/projectloader.d .deps/sdk/projectmanager.d .deps/sdk/projectoptionsdlg.d .deps/sdk/projectsfilemasksdlg.d .deps/sdk/projecttemplateloader.d .deps/sdk/replacedlg.d .deps/sdk/sdk_events.d .deps/sdk/searchresultslog.d .deps/sdk/selecttargetdlg.d .deps/sdk/simplelistlog.d .deps/sdk/simpletextlog.d .deps/sdk/templatemanager.d .deps/sdk/toolsmanager.d .deps/sdk/workspaceloader.d .deps/sdk/xtra_classes.d .deps/sdk/xtra_r
 es.d 
XwxDockit_OBJS=.objs/src/wxDockit/src/generic/barholder.o .objs/src/wxDockit/src/generic/dockhost.o .objs/src/wxDockit/src/generic/dockpanel.o .objs/src/wxDockit/src/generic/dockwindow.o .objs/src/wxDockit/src/generic/exsplitter.o .objs/src/wxDockit/src/generic/gdi.o .objs/src/wxDockit/src/generic/gripper.o .objs/src/wxDockit/src/generic/layoutmanager.o .objs/src/wxDockit/src/generic/pane.o .objs/src/wxDockit/src/generic/slidebar.o .objs/src/wxDockit/src/generic/toolbutton.o .objs/src/wxDockit/src/generic/util.o .objs/src/wxDockit/src/gtk/dockwindow_gtk.o .objs/src/wxDockit/src/gtk/gdi_gtk.o .objs/src/wxDockit/src/gtk/pane_gtk.o 
XwxDockit_LINKOBJS=$(wxDockit_OBJS)
XwxDockit_DEPS=.deps/src/wxDockit/src/generic/barholder.d .deps/src/wxDockit/src/generic/dockhost.d .deps/src/wxDockit/src/generic/dockpanel.d .deps/src/wxDockit/src/generic/dockwindow.d .deps/src/wxDockit/src/generic/exsplitter.d .deps/src/wxDockit/src/generic/gdi.d .deps/src/wxDockit/src/generic/gripper.d .deps/src/wxDockit/src/generic/layoutmanager.d .deps/src/wxDockit/src/generic/pane.d .deps/src/wxDockit/src/generic/slidebar.d .deps/src/wxDockit/src/generic/toolbutton.d .deps/src/wxDockit/src/generic/util.d .deps/src/wxDockit/src/gtk/dockwindow_gtk.d .deps/src/wxDockit/src/gtk/gdi_gtk.d .deps/src/wxDockit/src/gtk/pane_gtk.d 
Xsrc_OBJS=.objs/src/app.o .objs/src/dlgabout.o .objs/src/dlgaboutplugin.o .objs/src/environmentsettingsdlg.o .objs/src/impexpconfig.o .objs/src/main.o .objs/src/prefix.o .objs/src/printdlg.o .objs/src/startherepage.o 
Xsrc_LINKOBJS=$(src_OBJS)
Xsrc_DEPS=.deps/src/app.d .deps/src/dlgabout.d .deps/src/dlgaboutplugin.d .deps/src/environmentsettingsdlg.d .deps/src/impexpconfig.d .deps/src/main.d .deps/src/prefix.d .deps/src/printdlg.d .deps/src/startherepage.d 
Xplugin_Astyle_OBJS=.objs/plugins/astyle/astyle/ASBeautifier.o .objs/plugins/astyle/astyle/ASFormatter.o .objs/plugins/astyle/astyleconfigdlg.o .objs/plugins/astyle/astyleplugin.o .objs/plugins/astyle/formattersettings.o 
Xplugin_Astyle_LINKOBJS=$(plugin_Astyle_OBJS)
Xplugin_Astyle_DEPS=.deps/plugins/astyle/astyle/ASBeautifier.d .deps/plugins/astyle/astyle/ASFormatter.d .deps/plugins/astyle/astyleconfigdlg.d .deps/plugins/astyle/astyleplugin.d .deps/plugins/astyle/formattersettings.d 
Xplugin_CompilerGCC_OBJS=.objs/plugins/compilergcc/advancedcompileroptionsdlg.o .objs/plugins/compilergcc/compilerBCC.o .objs/plugins/compilergcc/compilerDMC.o .objs/plugins/compilergcc/compilerMINGW.o .objs/plugins/compilergcc/compilerMSVC.o .objs/plugins/compilergcc/compilerOW.o .objs/plugins/compilergcc/compilerSDCC.o .objs/plugins/compilergcc/compilererrors.o .objs/plugins/compilergcc/compilergcc.o .objs/plugins/compilergcc/compilermessages.o .objs/plugins/compilergcc/compileroptionsdlg.o .objs/plugins/compilergcc/depslib/src/alloc.o .objs/plugins/compilergcc/depslib/src/cache.o .objs/plugins/compilergcc/depslib/src/depslib.o .objs/plugins/compilergcc/depslib/src/filent.o .objs/plugins/compilergcc/depslib/src/fileunix.o .objs/plugins/compilergcc/depslib/src/hash.o .objs/plugins/compilergcc/depslib/src/headers.o .objs/plugins/compilergcc/depslib/src/lists.o .objs/plugins/compilergcc/depslib/src/main.o .objs/plugins/compilergcc/depslib/src/newstr.o .objs/plugins/compilergcc
 /depslib/src/pathsplit.o .objs/plugins/compilergcc/depslib/src/pathunix.o .objs/plugins/compilergcc/depslib/src/regexp.o .objs/plugins/compilergcc/depslib/src/search.o .objs/plugins/compilergcc/depslib/src/timestamp.o .objs/plugins/compilergcc/directcommands.o .objs/plugins/compilergcc/makefilegenerator.o 
Xplugin_CompilerGCC_LINKOBJS=$(plugin_CompilerGCC_OBJS)
Xplugin_CompilerGCC_DEPS=.deps/plugins/compilergcc/advancedcompileroptionsdlg.d .deps/plugins/compilergcc/compilerBCC.d .deps/plugins/compilergcc/compilerDMC.d .deps/plugins/compilergcc/compilerMINGW.d .deps/plugins/compilergcc/compilerMSVC.d .deps/plugins/compilergcc/compilerOW.d .deps/plugins/compilergcc/compilerSDCC.d .deps/plugins/compilergcc/compilererrors.d .deps/plugins/compilergcc/compilergcc.d .deps/plugins/compilergcc/compilermessages.d .deps/plugins/compilergcc/compileroptionsdlg.d .deps/plugins/compilergcc/depslib/src/alloc.d .deps/plugins/compilergcc/depslib/src/cache.d .deps/plugins/compilergcc/depslib/src/depslib.d .deps/plugins/compilergcc/depslib/src/filent.d .deps/plugins/compilergcc/depslib/src/fileunix.d .deps/plugins/compilergcc/depslib/src/hash.d .deps/plugins/compilergcc/depslib/src/headers.d .deps/plugins/compilergcc/depslib/src/lists.d .deps/plugins/compilergcc/depslib/src/main.d .deps/plugins/compilergcc/depslib/src/newstr.d .deps/plugins/compilergcc
 /depslib/src/pathsplit.d .deps/plugins/compilergcc/depslib/src/pathunix.d .deps/plugins/compilergcc/depslib/src/regexp.d .deps/plugins/compilergcc/depslib/src/search.d .deps/plugins/compilergcc/depslib/src/timestamp.d .deps/plugins/compilergcc/directcommands.d .deps/plugins/compilergcc/makefilegenerator.d 
Xplugin_DebuggerGDB_OBJS=.objs/plugins/debuggergdb/backtracedlg.o .objs/plugins/debuggergdb/debuggergdb.o .objs/plugins/debuggergdb/debuggeroptionsdlg.o .objs/plugins/debuggergdb/debuggertree.o .objs/plugins/debuggergdb/disassemblydlg.o 
Xplugin_DebuggerGDB_LINKOBJS=$(plugin_DebuggerGDB_OBJS)
Xplugin_DebuggerGDB_DEPS=.deps/plugins/debuggergdb/backtracedlg.d .deps/plugins/debuggergdb/debuggergdb.d .deps/plugins/debuggergdb/debuggeroptionsdlg.d .deps/plugins/debuggergdb/debuggertree.d .deps/plugins/debuggergdb/disassemblydlg.d 
Xplugin_CodeCompletion_OBJS=.objs/plugins/codecompletion/cclist.o .objs/plugins/codecompletion/cclistctrl.o .objs/plugins/codecompletion/ccoptionsdlg.o .objs/plugins/codecompletion/ccrenderer.o .objs/plugins/codecompletion/classbrowser.o .objs/plugins/codecompletion/codecompletion.o .objs/plugins/codecompletion/insertclassmethoddlg.o .objs/plugins/codecompletion/nativeparser.o .objs/plugins/codecompletion/parser/parser.o .objs/plugins/codecompletion/parser/parserthread.o .objs/plugins/codecompletion/parser/token.o .objs/plugins/codecompletion/parser/tokenizer.o 
Xplugin_CodeCompletion_LINKOBJS=$(plugin_CodeCompletion_OBJS)
Xplugin_CodeCompletion_DEPS=.deps/plugins/codecompletion/cclist.d .deps/plugins/codecompletion/cclistctrl.d .deps/plugins/codecompletion/ccoptionsdlg.d .deps/plugins/codecompletion/ccrenderer.d .deps/plugins/codecompletion/classbrowser.d .deps/plugins/codecompletion/codecompletion.d .deps/plugins/codecompletion/insertclassmethoddlg.d .deps/plugins/codecompletion/nativeparser.d .deps/plugins/codecompletion/parser/parser.d .deps/plugins/codecompletion/parser/parserthread.d .deps/plugins/codecompletion/parser/token.d .deps/plugins/codecompletion/parser/tokenizer.d 
Xplugin_ClassWizard_OBJS=.objs/plugins/classwizard/classwizard.o .objs/plugins/classwizard/classwizarddlg.o 
Xplugin_ClassWizard_LINKOBJS=$(plugin_ClassWizard_OBJS)
Xplugin_ClassWizard_DEPS=.deps/plugins/classwizard/classwizard.d .deps/plugins/classwizard/classwizarddlg.d 
Xplugin_DefMimeHandler_OBJS=.objs/plugins/defaultmimehandler/defaultmimehandler.o .objs/plugins/defaultmimehandler/editmimetypesdlg.o 
Xplugin_DefMimeHandler_LINKOBJS=$(plugin_DefMimeHandler_OBJS)
Xplugin_DefMimeHandler_DEPS=.deps/plugins/defaultmimehandler/defaultmimehandler.d .deps/plugins/defaultmimehandler/editmimetypesdlg.d 
Xplugin_PluginsWizard_OBJS=.objs/plugins/pluginwizard/enterinfodlg.o .objs/plugins/pluginwizard/pluginwizard.o .objs/plugins/pluginwizard/pluginwizarddlg.o 
Xplugin_PluginsWizard_LINKOBJS=$(plugin_PluginsWizard_OBJS)
Xplugin_PluginsWizard_DEPS=.deps/plugins/pluginwizard/enterinfodlg.d .deps/plugins/pluginwizard/pluginwizard.d .deps/plugins/pluginwizard/pluginwizarddlg.d 
Xplugin_ToDo_OBJS=.objs/plugins/todo/addtododlg.o .objs/plugins/todo/todolist.o .objs/plugins/todo/todolistview.o .objs/plugins/todo/todosettingsdlg.o 
Xplugin_ToDo_LINKOBJS=$(plugin_ToDo_OBJS)
Xplugin_ToDo_DEPS=.deps/plugins/todo/addtododlg.d .deps/plugins/todo/todolist.d .deps/plugins/todo/todolistview.d .deps/plugins/todo/todosettingsdlg.d 
Xplugin_XPManifest_OBJS=.objs/plugins/xpmanifest/windowsxplooknfeel.o 
Xplugin_XPManifest_LINKOBJS=$(plugin_XPManifest_OBJS)
Xplugin_XPManifest_DEPS=.deps/plugins/xpmanifest/windowsxplooknfeel.d 
Xconsole_runner_OBJS=.objs/tools/ConsoleRunner/main.o 
Xconsole_runner_LINKOBJS=$(console_runner_OBJS)
Xconsole_runner_DEPS=.deps/tools/ConsoleRunner/main.d 
X
X### The targets of this project
XtinyXML_BIN=sdk/tinyxml/libtxml.a
Xscintilla_BIN=devel/libwxscintilla.so
Xscintilla_STATIC_LIB=devel/libwxscintilla.a
Xscintilla_LIB_DEF=devel/libwxscintilla.def
Xsdk_BIN=devel/libcodeblocks.so
Xsdk_STATIC_LIB=devel/libcodeblocks.a
Xsdk_LIB_DEF=devel/libcodeblocks.def
XwxDockit_BIN=src/wxDockit/lib/libwxDockit.a
Xsrc_BIN=devel/codeblocks.exe
Xplugin_Astyle_BIN=devel/share/CodeBlocks/plugins/libastyle.so
Xplugin_Astyle_STATIC_LIB=devel/share/CodeBlocks/plugins/libastyle.a
Xplugin_Astyle_LIB_DEF=devel/share/CodeBlocks/plugins/libastyle.def
Xplugin_CompilerGCC_BIN=devel/share/CodeBlocks/plugins/libcompilergcc.so
Xplugin_CompilerGCC_STATIC_LIB=devel/share/CodeBlocks/plugins/libcompilergcc.a
Xplugin_CompilerGCC_LIB_DEF=devel/share/CodeBlocks/plugins/libcompilergcc.def
Xplugin_DebuggerGDB_BIN=devel/share/CodeBlocks/plugins/libdebuggergdb.so
Xplugin_DebuggerGDB_STATIC_LIB=devel/share/CodeBlocks/plugins/libdebuggergdb.a
Xplugin_DebuggerGDB_LIB_DEF=devel/share/CodeBlocks/plugins/libdebuggergdb.def
Xplugin_CodeCompletion_BIN=devel/share/CodeBlocks/plugins/libcodecompletion.so
Xplugin_CodeCompletion_STATIC_LIB=devel/share/CodeBlocks/plugins/libcodecompletion.a
Xplugin_CodeCompletion_LIB_DEF=devel/share/CodeBlocks/plugins/libcodecompletion.def
Xplugin_ClassWizard_BIN=devel/share/CodeBlocks/plugins/libclasswizard.so
Xplugin_ClassWizard_STATIC_LIB=devel/share/CodeBlocks/plugins/libclasswizard.a
Xplugin_ClassWizard_LIB_DEF=devel/share/CodeBlocks/plugins/libclasswizard.def
Xplugin_DefMimeHandler_BIN=devel/share/CodeBlocks/plugins/libdefaultmimehandler.so
Xplugin_DefMimeHandler_STATIC_LIB=devel/share/CodeBlocks/plugins/libdefaultmimehandler.a
Xplugin_DefMimeHandler_LIB_DEF=devel/share/CodeBlocks/plugins/libdefaultmimehandler.def
Xplugin_PluginsWizard_BIN=devel/share/CodeBlocks/plugins/libpluginwizard.so
Xplugin_PluginsWizard_STATIC_LIB=devel/share/CodeBlocks/plugins/libpluginwizard.a
Xplugin_PluginsWizard_LIB_DEF=devel/share/CodeBlocks/plugins/libpluginwizard.def
Xplugin_ToDo_BIN=devel/share/CodeBlocks/plugins/libtodo.so
Xplugin_ToDo_STATIC_LIB=devel/share/CodeBlocks/plugins/libtodo.a
Xplugin_ToDo_LIB_DEF=devel/share/CodeBlocks/plugins/libtodo.def
Xplugin_XPManifest_BIN=devel/share/CodeBlocks/plugins/libxpmanifest.so
Xplugin_XPManifest_STATIC_LIB=devel/share/CodeBlocks/plugins/libxpmanifest.a
Xplugin_XPManifest_LIB_DEF=devel/share/CodeBlocks/plugins/libxpmanifest.def
Xconsole_runner_BIN=tools/ConsoleRunner/console_runner.exe
X
X.PHONY: all all-before all-custom all-after clean clean-custom distclean distclean-custom depend_tinyXML tinyXML-before tinyXML-after depend_scintilla scintilla-before scintilla-after depend_sdk sdk-before sdk-after depend_wxDockit wxDockit-before wxDockit-after depend_src src-before src-after depend_plugin_Astyle plugin_Astyle-before plugin_Astyle-after depend_plugin_CompilerGCC plugin_CompilerGCC-before plugin_CompilerGCC-after depend_plugin_DebuggerGDB plugin_DebuggerGDB-before plugin_DebuggerGDB-after depend_plugin_CodeCompletion plugin_CodeCompletion-before plugin_CodeCompletion-after depend_plugin_ClassWizard plugin_ClassWizard-before plugin_ClassWizard-after depend_plugin_DefMimeHandler plugin_DefMimeHandler-before plugin_DefMimeHandler-after depend_plugin_PluginsWizard plugin_PluginsWizard-before plugin_PluginsWizard-after depend_plugin_ToDo plugin_ToDo-before plugin_ToDo-after depend_plugin_XPManifest plugin_XPManifest-before plugin_XPManifest-after depend_console_r
 unner console_runner-before console_runner-after 
X
Xall: all-before tinyXML scintilla sdk wxDockit src plugin_Astyle plugin_CompilerGCC plugin_DebuggerGDB plugin_CodeCompletion plugin_ClassWizard plugin_DefMimeHandler plugin_PluginsWizard plugin_ToDo console_runner all-after
X
X
Xdist:
X	@zip CodeBlocks-unix.cbp.zip CodeBlocks-unix.cbp Makefile.unix devel/share/CodeBlocks/images/codecompletion/README.txt devel/share/CodeBlocks/plugins/README.txt devel/share/CodeBlocks/templates/README.txt output/share/CodeBlocks/images/codecompletion/README.txt output/share/CodeBlocks/plugins/README.txt output/share/CodeBlocks/templates/README.txt plugins/astyle/astyle/ASBeautifier.cpp plugins/astyle/astyle/ASFormatter.cpp plugins/astyle/astyle/INSTALL.TXT plugins/astyle/astyle/Makefile plugins/astyle/astyle/astyle.h plugins/astyle/astyle/astyle.html plugins/astyle/astyle/astyle_main.cpp plugins/astyle/astyle/astyle_release_notes.html plugins/astyle/astyle/compiler_defines.h plugins/astyle/astyle/license.html plugins/astyle/astyleconfigdlg.cpp plugins/astyle/astyleconfigdlg.h plugins/astyle/astyleplugin.cpp plugins/astyle/astyleplugin.h plugins/astyle/formattersettings.cpp plugins/astyle/formattersettings.h plugins/astyle/resources/configuration.xrc plugins/classwizard/clas
 swizard.cpp plugins/classwizard/classwizard.h plugins/classwizard/classwizarddlg.cpp plugins/classwizard/classwizarddlg.h plugins/classwizard/resources/new_class.xrc plugins/codecompletion/cclist.cpp plugins/codecompletion/cclist.h plugins/codecompletion/cclistctrl.cpp plugins/codecompletion/cclistctrl.h plugins/codecompletion/ccoptionsdlg.cpp plugins/codecompletion/ccoptionsdlg.h plugins/codecompletion/ccrenderer.cpp plugins/codecompletion/ccrenderer.h plugins/codecompletion/classbrowser.cpp plugins/codecompletion/classbrowser.h plugins/codecompletion/codecompletion.cpp plugins/codecompletion/codecompletion.h plugins/codecompletion/insertclassmethoddlg.cpp plugins/codecompletion/insertclassmethoddlg.h plugins/codecompletion/nativeparser.cpp plugins/codecompletion/nativeparser.h plugins/codecompletion/parser/parser.cpp plugins/codecompletion/parser/parser.h plugins/codecompletion/parser/parserthread.cpp plugins/codecompletion/parser/parserthread.h plugins/codecompletion/pars
 er/token.cpp plugins/codecompletion/parser/token.h plugins/c!
 odecompl
etion/parser/tokenizer.cpp plugins/codecompletion/parser/tokenizer.h plugins/codecompletion/resources/images/class.png plugins/codecompletion/resources/images/class_folder.png plugins/codecompletion/resources/images/ctor_private.png plugins/codecompletion/resources/images/ctor_protected.png plugins/codecompletion/resources/images/ctor_public.png plugins/codecompletion/resources/images/dtor_private.png plugins/codecompletion/resources/images/dtor_protected.png plugins/codecompletion/resources/images/dtor_public.png plugins/codecompletion/resources/images/enum.png plugins/codecompletion/resources/images/enumerator.png plugins/codecompletion/resources/images/enums_folder.png plugins/codecompletion/resources/images/method_private.png plugins/codecompletion/resources/images/method_protected.png plugins/codecompletion/resources/images/method_public.png plugins/codecompletion/resources/images/namespace.png plugins/codecompletion/resources/images/others_folder.png plugins/codecomplet
 ion/resources/images/preproc.png plugins/codecompletion/resources/images/preproc_folder.png plugins/codecompletion/resources/images/symbols_folder.png plugins/codecompletion/resources/images/var_private.png plugins/codecompletion/resources/images/var_protected.png plugins/codecompletion/resources/images/var_public.png plugins/codecompletion/resources/insert_class_method.xrc plugins/codecompletion/resources/settings.xrc plugins/compilergcc/advancedcompileroptionsdlg.cpp plugins/compilergcc/advancedcompileroptionsdlg.h plugins/compilergcc/compilerBCC.cpp plugins/compilergcc/compilerBCC.h plugins/compilergcc/compilerDMC.cpp plugins/compilergcc/compilerDMC.h plugins/compilergcc/compilerMINGW.cpp plugins/compilergcc/compilerMINGW.h plugins/compilergcc/compilerMSVC.cpp plugins/compilergcc/compilerMSVC.h plugins/compilergcc/compilerOW.cpp plugins/compilergcc/compilerOW.h plugins/compilergcc/compilerSDCC.cpp plugins/compilergcc/compilerSDCC.h plugins/compilergcc/compilererrors.cpp p
 lugins/compilergcc/compilererrors.h plugins/compilergcc/comp!
 ilergcc.
cpp plugins/compilergcc/compilergcc.h plugins/compilergcc/compilermessages.cpp plugins/compilergcc/compilermessages.h plugins/compilergcc/compileroptionsdlg.cpp plugins/compilergcc/compileroptionsdlg.h plugins/compilergcc/depslib/src/alloc.c plugins/compilergcc/depslib/src/alloc.h plugins/compilergcc/depslib/src/cache.c plugins/compilergcc/depslib/src/cache.h plugins/compilergcc/depslib/src/depslib.c plugins/compilergcc/depslib/src/depslib.h plugins/compilergcc/depslib/src/filent.c plugins/compilergcc/depslib/src/filesys.h plugins/compilergcc/depslib/src/fileunix.c plugins/compilergcc/depslib/src/hash.c plugins/compilergcc/depslib/src/hash.h plugins/compilergcc/depslib/src/headers.c plugins/compilergcc/depslib/src/headers.h plugins/compilergcc/depslib/src/jam.h plugins/compilergcc/depslib/src/lists.c plugins/compilergcc/depslib/src/lists.h plugins/compilergcc/depslib/src/main.c plugins/compilergcc/depslib/src/newstr.c plugins/compilergcc/depslib/src/newstr.h plugins/compilerg
 cc/depslib/src/pathsplit.c plugins/compilergcc/depslib/src/pathsplit.h plugins/compilergcc/depslib/src/pathsys.h plugins/compilergcc/depslib/src/pathunix.c plugins/compilergcc/depslib/src/regexp.c plugins/compilergcc/depslib/src/regexp.h plugins/compilergcc/depslib/src/search.c plugins/compilergcc/depslib/src/search.h plugins/compilergcc/depslib/src/timestamp.c plugins/compilergcc/depslib/src/timestamp.h plugins/compilergcc/directcommands.cpp plugins/compilergcc/directcommands.h plugins/compilergcc/makefilegenerator.cpp plugins/compilergcc/makefilegenerator.h plugins/compilergcc/resources/advanced_compiler_options.xrc plugins/compilergcc/resources/compiler_options.xrc plugins/debuggergdb/backtracedlg.cpp plugins/debuggergdb/backtracedlg.h plugins/debuggergdb/debuggergdb.cpp plugins/debuggergdb/debuggergdb.h plugins/debuggergdb/debuggeroptionsdlg.cpp plugins/debuggergdb/debuggeroptionsdlg.h plugins/debuggergdb/debuggertree.cpp plugins/debuggergdb/debuggertree.h plugins/debugg
 ergdb/disassemblydlg.cpp plugins/debuggergdb/disassemblydlg.!
 h plugin
s/debuggergdb/resources/backtrace.xrc plugins/debuggergdb/resources/debugger_menu.xrc plugins/debuggergdb/resources/debugger_options_dlg.xrc plugins/debuggergdb/resources/debugger_toolbar.xrc plugins/debuggergdb/resources/debugger_toolbar_16x16.xrc plugins/debuggergdb/resources/disassembly.xrc plugins/defaultmimehandler/defaultmimehandler.cpp plugins/defaultmimehandler/defaultmimehandler.h plugins/defaultmimehandler/editmimetypesdlg.cpp plugins/defaultmimehandler/editmimetypesdlg.h plugins/defaultmimehandler/mimetypesarray.h plugins/defaultmimehandler/resources/edit_files_handling.xrc plugins/pluginwizard/enterinfodlg.cpp plugins/pluginwizard/enterinfodlg.h plugins/pluginwizard/pluginwizard.cpp plugins/pluginwizard/pluginwizard.h plugins/pluginwizard/pluginwizarddlg.cpp plugins/pluginwizard/pluginwizarddlg.h plugins/pluginwizard/resources/new_plugin.xrc plugins/pluginwizard/resources/plugin_info.xrc plugins/todo/addtododlg.cpp plugins/todo/addtododlg.h plugins/todo/resources/
 add_todo.xrc plugins/todo/resources/settings.xrc plugins/todo/todolist.cpp plugins/todo/todolist.h plugins/todo/todolistview.cpp plugins/todo/todolistview.h plugins/todo/todosettingsdlg.cpp plugins/todo/todosettingsdlg.h plugins/xpmanifest/windowsxplooknfeel.cpp plugins/xpmanifest/windowsxplooknfeel.h sdk/Managers/Managers.cpp sdk/Managers/Managers.h sdk/Managers/StdAfx.cpp sdk/Managers/StdAfx.h sdk/autodetectcompilers.cpp sdk/autodetectcompilers.h sdk/cbeditor.cpp sdk/cbeditor.h sdk/cbeditorprintout.cpp sdk/cbeditorprintout.h sdk/cbplugin.cpp sdk/cbplugin.h sdk/cbproject.cpp sdk/cbproject.h sdk/cbthreadpool.cpp sdk/cbthreadpool.h sdk/cbworkspace.cpp sdk/cbworkspace.h sdk/compileoptionsbase.cpp sdk/compileoptionsbase.h sdk/compiler.cpp sdk/compiler.h sdk/compilerfactory.cpp sdk/compilerfactory.h sdk/compileroptions.cpp sdk/compileroptions.h sdk/compiletargetbase.cpp sdk/compiletargetbase.h sdk/configmanager.cpp sdk/configmanager.h sdk/configuretoolsdlg.cpp sdk/configuretools
 dlg.h sdk/confirmreplacedlg.cpp sdk/confirmreplacedlg.h sdk/!
 customva
rs.cpp sdk/customvars.h sdk/devcpploader.cpp sdk/devcpploader.h sdk/editarrayfiledlg.cpp sdk/editarrayfiledlg.h sdk/editarrayorderdlg.cpp sdk/editarrayorderdlg.h sdk/editarraystringdlg.cpp sdk/editarraystringdlg.h sdk/editorbase.cpp sdk/editorbase.h sdk/editorcolorset.cpp sdk/editorcolorset.h sdk/editorconfigurationdlg.cpp sdk/editorconfigurationdlg.h sdk/editorlexerloader.cpp sdk/editorlexerloader.h sdk/editormanager.cpp sdk/editormanager.h sdk/editpathdlg.cpp sdk/editpathdlg.h sdk/edittooldlg.cpp sdk/edittooldlg.h sdk/externaldepsdlg.cpp sdk/externaldepsdlg.h sdk/filegroupsandmasks.cpp sdk/filegroupsandmasks.h sdk/finddlg.cpp sdk/finddlg.h sdk/findreplacebase.h sdk/globals.cpp sdk/globals.h sdk/ibaseloader.h sdk/ibaseworkspaceloader.h sdk/importers_globals.cpp sdk/importers_globals.h sdk/incrementalselectlistdlg.cpp sdk/incrementalselectlistdlg.h sdk/licenses.h sdk/macrosmanager.cpp sdk/macrosmanager.h sdk/managedthread.cpp sdk/managedthread.h sdk/manager.cpp sdk/manager.h 
 sdk/managerproxy.h sdk/menuitemsmanager.cpp sdk/menuitemsmanager.h sdk/messagelog.cpp sdk/messagelog.h sdk/messagemanager.cpp sdk/messagemanager.h sdk/msvc7loader.cpp sdk/msvc7loader.h sdk/msvc7workspaceloader.cpp sdk/msvc7workspaceloader.h sdk/msvcloader.cpp sdk/msvcloader.h sdk/msvcworkspacebase.cpp sdk/msvcworkspacebase.h sdk/msvcworkspaceloader.cpp sdk/msvcworkspaceloader.h sdk/multiselectdlg.cpp sdk/multiselectdlg.h sdk/newfromtemplatedlg.cpp sdk/newfromtemplatedlg.h sdk/personalitymanager.cpp sdk/personalitymanager.h sdk/pipedprocess.cpp sdk/pipedprocess.h sdk/pluginmanager.cpp sdk/pluginmanager.h sdk/pluginsconfigurationdlg.cpp sdk/pluginsconfigurationdlg.h sdk/printing_types.cpp sdk/printing_types.h sdk/projectbuildtarget.cpp sdk/projectbuildtarget.h sdk/projectfileoptionsdlg.cpp sdk/projectfileoptionsdlg.h sdk/projectlayoutloader.cpp sdk/projectlayoutloader.h sdk/projectloader.cpp sdk/projectloader.h sdk/projectmanager.cpp sdk/projectmanager.h sdk/projectoptionsdlg.
 cpp sdk/projectoptionsdlg.h sdk/projectsfilemasksdlg.cpp sdk!
 /project
sfilemasksdlg.h sdk/projecttemplateloader.cpp sdk/projecttemplateloader.h sdk/replacedlg.cpp sdk/replacedlg.h sdk/resources/configure_tools.xrc sdk/resources/confirm_replace.xrc sdk/resources/edit_array_order.xrc sdk/resources/edit_array_string.xrc sdk/resources/edit_path.xrc sdk/resources/edit_tool.xrc sdk/resources/editor_configuration.xrc sdk/resources/find_dialog.xrc sdk/resources/incremental_select_list.xrc sdk/resources/new_from_template.xrc sdk/resources/plugins_configuration.xrc sdk/resources/project_manager_file_types.xrc sdk/resources/project_options.xrc sdk/resources/projectfile_options.xrc sdk/resources/replace_dialog.xrc sdk/resources/select_target.xrc sdk/sanitycheck.h sdk/sdk_events.cpp sdk/sdk_events.h sdk/searchresultslog.cpp sdk/searchresultslog.h sdk/selecttargetdlg.cpp sdk/selecttargetdlg.h sdk/settings.h sdk/simplelistlog.cpp sdk/simplelistlog.h sdk/simpletextlog.cpp sdk/simpletextlog.h sdk/templatemanager.cpp sdk/templatemanager.h sdk/tinyxml/tinystr.cpp
  sdk/tinyxml/tinystr.h sdk/tinyxml/tinyxml.cpp sdk/tinyxml/tinyxml.h sdk/tinyxml/tinyxmlerror.cpp sdk/tinyxml/tinyxmlparser.cpp sdk/toolsmanager.cpp sdk/toolsmanager.h sdk/workspaceloader.cpp sdk/workspaceloader.h sdk/wxscintilla/include/wx/wxscintilla.h sdk/wxscintilla/src/PlatWX.cpp sdk/wxscintilla/src/PlatWX.h sdk/wxscintilla/src/ScintillaWX.cpp sdk/wxscintilla/src/ScintillaWX.h sdk/wxscintilla/src/scintilla/include/Accessor.h sdk/wxscintilla/src/scintilla/include/KeyWords.h sdk/wxscintilla/src/scintilla/include/Platform.h sdk/wxscintilla/src/scintilla/include/PropSet.h sdk/wxscintilla/src/scintilla/include/SString.h sdk/wxscintilla/src/scintilla/include/SciLexer.h sdk/wxscintilla/src/scintilla/include/Scintilla.h sdk/wxscintilla/src/scintilla/include/ScintillaWidget.h sdk/wxscintilla/src/scintilla/include/WindowAccessor.h sdk/wxscintilla/src/scintilla/src/AutoComplete.cxx sdk/wxscintilla/src/scintilla/src/AutoComplete.h sdk/wxscintilla/src/scintilla/src/CallTip.cxx sdk/w
 xscintilla/src/scintilla/src/CallTip.h sdk/wxscintilla/src/s!
 cintilla
/src/CellBuffer.cxx sdk/wxscintilla/src/scintilla/src/CellBuffer.h sdk/wxscintilla/src/scintilla/src/ContractionState.cxx sdk/wxscintilla/src/scintilla/src/ContractionState.h sdk/wxscintilla/src/scintilla/src/Document.cxx sdk/wxscintilla/src/scintilla/src/Document.h sdk/wxscintilla/src/scintilla/src/DocumentAccessor.cxx sdk/wxscintilla/src/scintilla/src/DocumentAccessor.h sdk/wxscintilla/src/scintilla/src/Editor.cxx sdk/wxscintilla/src/scintilla/src/Editor.h sdk/wxscintilla/src/scintilla/src/ExternalLexer.cxx sdk/wxscintilla/src/scintilla/src/ExternalLexer.h sdk/wxscintilla/src/scintilla/src/Indicator.cxx sdk/wxscintilla/src/scintilla/src/Indicator.h sdk/wxscintilla/src/scintilla/src/KeyMap.cxx sdk/wxscintilla/src/scintilla/src/KeyMap.h sdk/wxscintilla/src/scintilla/src/KeyWords.cxx sdk/wxscintilla/src/scintilla/src/LexAPDL.cxx sdk/wxscintilla/src/scintilla/src/LexAU3.cxx sdk/wxscintilla/src/scintilla/src/LexAVE.cxx sdk/wxscintilla/src/scintilla/src/LexAda.cxx sdk/wxscintilla
 /src/scintilla/src/LexAsm.cxx sdk/wxscintilla/src/scintilla/src/LexAsn1.cxx sdk/wxscintilla/src/scintilla/src/LexBaan.cxx sdk/wxscintilla/src/scintilla/src/LexBash.cxx sdk/wxscintilla/src/scintilla/src/LexBasic.cxx sdk/wxscintilla/src/scintilla/src/LexBullant.cxx sdk/wxscintilla/src/scintilla/src/LexCLW.cxx sdk/wxscintilla/src/scintilla/src/L
Comment 1 Edwin Groothuis freebsd_committer 2005-11-25 02:38:48 UTC
State Changed
From-To: open->feedback

Looks like the shar is damaged, can you resubmit it? 
(bzip2 and uuencode it please) 


Comment 2 Edwin Groothuis freebsd_committer 2005-11-25 02:38:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

I;ll handle it with submitter
Comment 3 m.sund 2005-11-27 21:58:45 UTC
Hello Edwin,

please find attached the submitted port rebuilt with bzip2 and uuencode.

best regards,
Matthias
Comment 4 Edwin Groothuis freebsd_committer 2005-12-27 19:57:13 UTC
State Changed
From-To: feedback->closed

Committed, thanks!